wsimport(1)

NAME
wsimport - JAX-WS 2.0

SYNOPSIS
wsimport [options] wsdl

DESCRIPTION
The wsimport tool generates JAX-WS portable artifacts, such as:

    •   Service Endpoint Interface (SEI)

    •   Service

    •   Exception class mapped from wsdl:fault (if any)

    •   Async Reponse Bean derived from response wsdl:message (if any)

    •   JAXB generated value types (mapped java classes from schema types)

These artifacts can be packaged in a WAR file with the WSDL and schema documents along with the endpoint implementation to be deployed. The generated Service class can be used to invoke the Web Service endpoint.

OPTIONS

-d directory
    Specify where to place generated output files.

-b path
    Specify external JAX-WS or JAXB binding files (Each file must have its own -b).

-catalog
    Specify catalog file to resolve external entity references, it supports TR9401, XCatalog, and OASIS XML Catalog format. Please read the XML Entity and URI Resolvers document or see wsimport_catalog sample.

-extension
    Allow vendor extensions (functionality not specified by the specification). Use of extensions may result in applications that are not portable or may not interoperate with other implementations.

-help
    Display help.

-httpproxy:host:port
    Specify an HTTP proxy server (port defaults to 8080).

-keep
    Keep generated files.

-p  Specifying a target package via this command-line option, overrides any wsdl and schema binding customization for package name and the default package name algorithm defined in the specification.

-s directory
    Specify where to place generated source files.

-verbose
    Output messages about what the compiler is doing.

-version
    Print version information.

-wsdllocation location
    @WebService.wsdlLocation and @WebServiceClient.wsdlLocation value

Multiple JAX-WS and JAXB binding files can be specified using -b option and they can be used to customize various things like package names, bean names, etc. More information on JAX-WS and JAXB binding files can be found in the customization documentation.

Examples
wsimport -d generated http://example.org/stock?wsdl

This command generates JAX-WS portable artifacts for http://example.org/stock?wsdl in to the generated directory.

wsimport stock.wsdl -b stock.xml -b stock.xjb

The above example generates JAX-WS artifacts for stock.wsdl and uses the customization files stock.xml (jax-ws customization file) and stock.xjb (jaxb customization file) in the process.